<VirtualHost *:80>
    ServerName xxxvhostxxx
    DocumentRoot /var/www/xxxvhostxxx
    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined
    Redirect permanent / https://xxxvhostxxx/

    <Directory /var/www/xxxvhostxxx>
        AllowOverride All
    </Directory>

</VirtualHost>

<IfModule mod_ssl.c>
        <VirtualHost *:443>
                ServerName xxxvhostxxx
                DocumentRoot /var/www/xxxvhostxxx

                ErrorLog ${APACHE_LOG_DIR}/error.log
                CustomLog ${APACHE_LOG_DIR}/access.log combined

                SSLEngine on
                SSLCertificateFile      /etc/apache2/ssl/xxxvhostxxx.pem
                SSLCertificateKeyFile   /etc/apache2/ssl/xxxvhostxxx.key

                <Directory /var/www/xxxvhostxxx>
                    AllowOverride All
                </Directory>
        </VirtualHost>
</IfModule>
